Bug 819612 - [plugin container] add validation of the metric data reported by plugins
[plugin container] add validation of the metric data reported by plugins
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
4.4
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 13:49 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-07 13:49:49 EDT
Some things we can check and log plugin-error warnings (or even throw exceptions) for:

- metrics in the report are a subset of the metrics that were requested 
- the MeasurementScheduleRequests fields in the XxxDataXxx objects in the report are equivalent objects to the ones that were passed to the plugin's getValues() method
- metrics in the report have the correct data type - e.g. if a numeric metric named "foo" was requested, make sure the report contains a numeric metric "foo", and not a trait "foo" or call-time metric "foo".
- the report's collectionTime field has not been modified by the plugin - this field really should not even be exposed by the plugin API...
Comment 1 Mike Foley 2012-05-08 15:33:33 EDT
per BZ triage ... crouch, loleary, foley

Note You need to log in before you can comment on or make changes to this bug.